Threads, Assistants
Get a message
Retrieves a message by its identifier.
Yol parametreleri
thread_id
string
gerekli
The ID of the thread to which this message belongs.
message_id
string
gerekli
The ID of the message to retrieve.
Yanıtlar
The request has succeeded.
Gövde
id
string
gerekli
The identifier, which can be referenced in API endpoints.
object
enum
gerekli
The object type, which is always thread.message.
created_at
integer
gerekli
The Unix timestamp (in seconds) for when the message was created.
thread_id
string
gerekli
The thread ID that this message belongs to.
status
enum
gerekli
The status of the message, which can be either in_progress, incomplete, or completed.
incomplete_details
OpenAI.MessageObjectIncompleteDetails | null
gerekli
reason
enum
gerekli
role
enum
gerekli
The entity that produced the message. One of user or assistant.
content
OpenAI.MessageObjectContent[]
gerekli
The content of the message in array of text and/or images.
metadata
OpenAI.Metadata | null
gerekli
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
İstek
curl https://api.openai.com/v1/threads/thread_abc123/messages/msg_abc123 \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "OpenAI-Beta: assistants=v2"
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
message = client.beta.threads.messages.retrieve(
message_id="message_id",
thread_id="thread_id",
)
print(message.id)
import OpenAI from "openai";
const openai = new OpenAI();
async function main() {
const message = await openai.beta.threads.messages.retrieve(
"msg_abc123",
{ thread_id: "thread_abc123" }
);
console.log(message);
}
main();
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const message = await client.beta.threads.messages.retrieve('message_id', {
thread_id: 'thread_id',
});
console.log(message.id);
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
message, err := client.Beta.Threads.Messages.Get(
context.TODO(),
"thread_id",
"message_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", message.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.beta.threads.messages.Message;
import com.openai.models.beta.threads.messages.MessageRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
MessageRetrieveParams params = MessageRetrieveParams.builder()
.threadId("thread_id")
.messageId("message_id")
.build();
Message message = client.beta().threads().messages().retrieve(params);
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
message = openai.beta.threads.messages.retrieve("message_id", thread_id: "thread_id")
puts(message)
Response
{
"id": "msg_abc123",
"object": "thread.message",
"created_at": 1699017614,
"assistant_id": null,
"thread_id": "thread_abc123",
"run_id": null,
"role": "user",
"content": [
{
"type": "text",
"text": {
"value": "How does AI work? Explain it in simple terms.",
"annotations": []
}
}
],
"attachments": [],
"metadata": {}
}